# Tosca Import/Export

Tools to import/export TOSCA definitions in YAML from/to ETSI Specifications in Docx format.

Currently supports ETSI GS NFV-SOL 001 (versions from 2.4.1 to 3.3.1).

This tool is provided as-is, no guarantees are applicable on the correctness of the output.
Use at your own risk.

## Create `env` file

The `env` file is used for environment settings.

   cp env_example env
   $EDITOR env # Customize SECRET

## Run with docker

Build the image with 

    docker build -t tosca-ie-sample:latest .

Run the container with

    docker run -d -t -p 5000:5000 tosca-ie-sample

### Relaunch utility

A simple tool is provided to rebuild, kill and relaunch the container in a deployment. See `relaunch.sh`.


## Run web app locally

Install prerequisites 

    pip install -r requirements.txt

Run the web_app

    python src/web_app.py

## Licensing

See LICENSE file.